CVE-2002-2281
CVSS10.0
发布时间 :2002-12-31 00:00:00
修订时间 :2016-10-17 22:27:58
NMCOE    

[原文]Symantec Java! JIT (Just-In-Time) Compiler for Netscape Communicator 4.0 through 4.8 allows remote attackers to execute arbitrary Java commands via an applet that uses a jump call, which is not correctly compiled by the JIT compiler.


[CNNVD]Symantec Java! JustInTime编译器远程命令执行漏洞(CNNVD-200212-285)

        
        Netscape Communicator/Navigator的JVM实现使用了Symantec Just In Time(JIT)编译器,Java虚拟机在共享动态实现,并默认被Netscape Browser使用。
        Netscape Communicator使用的Java! JustInTime编译器对部分特殊Java字节码处理不正确,远程攻击者可以利用这个漏洞构建恶意Java Applet,诱使用户打开,在目标用户JVM环境中以用户权限在系统上执行任意指令。
        Java! JustInTime编译器在从特殊构建的Java字节码中生成Intel指令时存在问题,一个恶意构建的applet如果有此编译器编译的情况下,可能导致重定向程序到攻击者控制的内容中,从而使用户提供的指令绕过Java Sandbox检查以当前JVM进程权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:symantec:java:4.5
cpe:/a:symantec:java:4.08
cpe:/a:symantec:java:4.4
cpe:/a:symantec:java:4.07
cpe:/a:symantec:java:4.06
cpe:/a:symantec:java:4.7
cpe:/a:symantec:java:4.6
cpe:/a:symantec:java:4.0
cpe:/a:symantec:java:4.74
cpe:/a:symantec:java:4.51
cpe:/a:symantec:java:4.73
cpe:/a:symantec:java:4.61
cpe:/a:symantec:java:4.72
cpe:/a:symantec:java:4.78
cpe:/a:symantec:java:4.77
cpe:/a:symantec:java:4.76
cpe:/a:symantec:java:4.75
cpe:/a:symantec:java:4.79

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2281
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2281
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-285
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=103798147613151&w=2
(UNKNOWN)  BUGTRAQ  20021121 [LSD] Java and JVM security vulnerabilities
http://www.securityfocus.com/bid/6222
(UNKNOWN)  BID  6222
http://xforce.iss.net/xforce/xfdb/10711
(UNKNOWN)  XF  symantec-jit-bypass-security(10711)

- 漏洞信息

Symantec Java! JustInTime编译器远程命令执行漏洞
危急 设计错误
2002-12-31 00:00:00 2002-12-31 00:00:00
远程  
        
        Netscape Communicator/Navigator的JVM实现使用了Symantec Just In Time(JIT)编译器,Java虚拟机在共享动态实现,并默认被Netscape Browser使用。
        Netscape Communicator使用的Java! JustInTime编译器对部分特殊Java字节码处理不正确,远程攻击者可以利用这个漏洞构建恶意Java Applet,诱使用户打开,在目标用户JVM环境中以用户权限在系统上执行任意指令。
        Java! JustInTime编译器在从特殊构建的Java字节码中生成Intel指令时存在问题,一个恶意构建的applet如果有此编译器编译的情况下,可能导致重定向程序到攻击者控制的内容中,从而使用户提供的指令绕过Java Sandbox检查以当前JVM进程权限在系统上执行任意指令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 从Netscape安装目录中删除相关库来关闭JIT编译器操作。
        厂商补丁:
        Symantec
        --------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.symantec.com/

- 漏洞信息 (22028)

Symantec Java! JustInTime Compiler 210.65 Command Execution Vulnerability (EDBID:22028)
windows remote
2002-11-21 Verified
0 Last Stage of Delirium
N/A [点击下载]
source: http://www.securityfocus.com/bid/6222/info

A vulnerability has been discovered in the Java! JustInTime compiled used by Netscape Communicator, related to the generation of Intel instructions from specially constructed Java bytecode.

If a malicous applet is compiled by the vulnerable compiler, it may be possible to redirect program flow to point to attacker-controlled memory.

Successful execution of attacker-supplied instructions may result in arbitrary system commands being executed outside of the Java sandbox, with privileges of the JVM process.

http://www.exploit-db.com/sploits/22028.tar.gz		

- 漏洞信息

4725
Symantec Java! JIT (Just-In-Time) Jump Call Arbitrary Command Execution

- 漏洞描述

- 时间线

2002-11-21 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站